# H248_Command Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Choices { e_addReq, e_moveReq, e_modReq, e_subtractReq, e_auditCapRequest, e_auditValueRequest, e_notifyReq, e_serviceChangeReq }

## Public Member Functions

| H248_Command (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H248_AmmRequest & ()
| operator const H248_AmmRequest & () const
| operator H248_SubtractRequest & ()
| operator const H248_SubtractRequest & () const
| operator H248_AuditRequest & ()
| operator const H248_AuditRequest & () const
| operator H248_NotifyRequest & ()
| operator const H248_NotifyRequest & () const
| operator H248_ServiceChangeRequest & ()
| operator const H248_ServiceChangeRequest & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_Command::Choices

Enumerator:

  e_addReq |
  e_moveReq |
  e_modReq |
  e_subtractReq |
  e_auditCapRequest |
  e_auditValueRequest |
  e_notifyReq |
  e_serviceChangeReq |

## Constructor & Destructor Documentation

H248_Command::H248_Command | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_Command::operator H248_AmmRequest & | ( |  | ) |

H248_Command::operator const H248_AmmRequest & | ( |  | ) | const

H248_Command::operator H248_SubtractRequest & | ( |  | ) |

H248_Command::operator const H248_SubtractRequest & | ( |  | ) | const

H248_Command::operator H248_AuditRequest & | ( |  | ) |

H248_Command::operator const H248_AuditRequest & | ( |  | ) | const

H248_Command::operator H248_NotifyRequest & | ( |  | ) |

H248_Command::operator const H248_NotifyRequest & | ( |  | ) | const

H248_Command::operator H248_ServiceChangeRequest & | ( |  | ) |

H248_Command::operator const H248_ServiceChangeRequest & | ( |  | ) | const

PBoolean H248_Command::CreateObject | ( |  | ) |

PObject* H248_Command::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h